Differences

This shows you the differences between two versions of the page.

Link to this comparison view

Both sides previous revision Previous revision
Next revision
Previous revision
onlyoffice [2019/07/08 03:49]
HF [NethServer-onlyoffice]
onlyoffice [2019/09/09 17:40] (current)
Markus Neuberger
Line 21: Line 21:
   curl -sL https://​rpm.nodesource.com/​setup_8.x | sudo bash -   curl -sL https://​rpm.nodesource.com/​setup_8.x | sudo bash -
   yum -y install https://​downloads.sourceforge.net/​project/​mscorefonts2/​rpms/​msttcore-fonts-installer-2.6-1.noarch.rpm   yum -y install https://​downloads.sourceforge.net/​project/​mscorefonts2/​rpms/​msttcore-fonts-installer-2.6-1.noarch.rpm
-  yum -y install https://​github.com/​ONLYOFFICE/​DocumentServer/​releases/​download/​ONLYOFFICE-DocumentServer-5.3.2/​onlyoffice-documentserver.x86_64.rpm+  yum -y install https://​github.com/​ONLYOFFICE/​DocumentServer/​releases/​download/​ONLYOFFICE-DocumentServer-5.4.0-2/​onlyoffice-documentserver.x86_64.rpm
   yum -y install nethserver-onlyoffice   yum -y install nethserver-onlyoffice
  
Line 48: Line 48:
 ====Install OnlyOffice DocumentServer==== ====Install OnlyOffice DocumentServer====
  
-Actual version is 5.2.8.+Actual version is 5.4.0.
  
-  yum -y install https://​github.com/​ONLYOFFICE/​DocumentServer/​releases/​download/​ONLYOFFICE-DocumentServer-5.3.2/​onlyoffice-documentserver.x86_64.rpm+  yum -y install https://​github.com/​ONLYOFFICE/​DocumentServer/​releases/​download/​ONLYOFFICE-DocumentServer-5.4.0-2/​onlyoffice-documentserver.x86_64.rpm
  
 ===DocumentServer 5.0.7=== ===DocumentServer 5.0.7===
Line 73: Line 73:
 To upgrade an existing installation of documentserver issue: To upgrade an existing installation of documentserver issue:
  
-  yum upgrade https://​github.com/​ONLYOFFICE/​DocumentServer/​releases/​download/​ONLYOFFICE-DocumentServer-5.2.x/​onlyoffice-documentserver.x86_64.rpm+  yum upgrade https://​github.com/​ONLYOFFICE/​DocumentServer/​releases/​download/​ONLYOFFICE-DocumentServer-5.4.x/​onlyoffice-documentserver.x86_64.rpm
  
-Where '5.2.x' would be the actual version you want to install. For an overview of available versions, please see: https://​github.com/​ONLYOFFICE/​DocumentServer/​releases/​+Where '5.4.x' would be the actual version you want to install. For an overview of available versions, please see: https://​github.com/​ONLYOFFICE/​DocumentServer/​releases/​
  
 ====Install NethServer-onlyoffice==== ====Install NethServer-onlyoffice====
Line 126: Line 126:
  
 ====Something'​s not working==== ====Something'​s not working====
- 
-=== Documentserver version >= 5.2 === 
- 
-In newer versions you'll need to apply the following fix. I think about a module rewrite and hope to release a new version soon. 
- 
-https://​community.nethserver.org/​t/​howto-install-onlyoffice-document-server-as-nextcloud-app/​8662/​122?​u=mrmarkuz 
  
 ===nodejs 6 from epel installed so nodejs 8 is not installing from repo=== ===nodejs 6 from epel installed so nodejs 8 is not installing from repo===
Line 147: Line 141:
 ===Reinstall=== ===Reinstall===
  
-If you downgraded/​upgraded it may help to reinstall, just replace {VERSION} with 5.0.for example:+If you downgraded/​upgraded it may help to reinstall, just replace {VERSION} with 5.4.0-2 for example:
  
   yum -y reinstall https://​github.com/​ONLYOFFICE/​DocumentServer/​releases/​download/​ONLYOFFICE-DocumentServer-{VERSION}/​onlyoffice-documentserver.x86_64.rpm   yum -y reinstall https://​github.com/​ONLYOFFICE/​DocumentServer/​releases/​download/​ONLYOFFICE-DocumentServer-{VERSION}/​onlyoffice-documentserver.x86_64.rpm